application:
  process:
    id: OPER00
    name: ITS Web Server
    center-id: L08
    region-code: 228
    region-name: 평택시

statistics:
  max-records: 350000

server:
  port: 80
  shutdown: graceful
#  ssl:
#    key-store: C:\OpenSSL\bin\keystore
#    key-store-type: PKCS12
#    key-store-password: 1234
  error:
    whitelabel:
      enabled: false
    include-exception: false
    include-stacktrace: never
    path: /error
#    static-locations: file:src/main/resources/static/

  #tomcat:
  #  additional-tld-skip-patterns: "*.jar"
  servlet:
    session:
      tracking-modes: cookie

spring:
  profiles:
    active: prod
  main:
    banner-mode: off
    allow-bean-definition-overriding: true
  application:
    name: its-web-server
  devtools:
    livereload:
      enabled: true
  freemarker:
    cache: false
  output:
    ansi:
      enabled: always
  servlet:
    context-path: /
    session:
      tracking-mode: cookie
      timeout: 1200
    multipart:
      enabled: true
      file-size-threshold: 10MB
      max-file-size: 300MB
      max-request-size: 300MB

  jackson:
    property-naming-strategy: LOWER_CASE
  datasource:
#    hikari:
#      auto-commit: true
#      connection-test-query: SELECT 1 FROM DUAL
#      # 기본 설정
#      minimum-idle: 10
#      maximum-pool-size: 30
#      # 커넥션 풀이 가변크기 모드로 작동하도록 설정
#      idle-timeout: 60000
#      max-lifetime: 180000
#      connection-timeout: 10000
#      pool-name: pool-its-op-server
    mybatis:
      mapper-locations: classpath:egovframework/sqlmap/**.xml

logging:
  level:
    #root: DEBUG
    #org.hibernate: DEBUG
    #org.springframework: INFO
    org.hibernate.SQL: ERROR
    org.hibernate.type: ERROR # 파라미터 보여준다.
    org:
      springframework:
        #security: DEBUG
        jdbc:
          core:
            JdbcTemplate: ERROR
            StatementCreatorUtils: ERROR
      hibernate:
        type:
          descriptor:
            sql:
              BasicBinder: ERROR

---
spring:
  config:
    activate:
      on-profile: dev
  datasource:
      driver-class-name: oracle.jdbc.driver.OracleDriver
      url: jdbc:oracle:thin:@115.91.94.42:1522:HANTE19C
      username: ptatms
      password: ptatms
apiKey: d63cb13f040afc64412390c1c84288a6
attach_path: C:/00.PROJECT/24.PTATMS-WEB/workspace/attatchFile
upload_path: C:/00.PROJECT/24.PTATMS-WEB/workspace/upload
server:
  ssl:
    key-store: C:/OpenSSL/bin/keystore
    key-store-type: PKCS12
    key-store-password: 1234
    enabled: true
  port: 443

---
#spring:
#  config:
#    activate:
#      on-profile: prod
#  datasource:
#    driver-class-name: oracle.jdbc.driver.OracleDriver
#    url: jdbc:oracle:thin:@115.91.94.42:1522:HANTE19C
#    username: ptatms
#    password: ptatms
#apiKey: d63cb13f040afc64412390c1c84288a6
#attach_path: D:/PTATMS/its-web-server/web-data/attatchFile
#upload_path: D:/PTATMS/its-web-server/web-data/upload

spring:
  config:
    activate:
      on-profile: prod
  datasource:
      driver-class-name: oracle.jdbc.driver.OracleDriver
      url: jdbc:oracle:thin:@(DESCRIPTION=(ADDRESS=(PROTOCOL=TCP)(HOST=172.19.10.25)(PORT=1521))(ADDRESS=(PROTOCOL=TCP)(HOST=172.19.10.26)(PORT=1521))(CONNECT_DATA=(SERVER=DEDICATED)(SERVICE_NAME=ptatms)))
      username: ptatms
      password: ptatms
apiKey: 684f2932c6620f0e8a93c5fc70abe370
attach_path: D:/PTATMS/web-data/attatchFile
upload_path: D:/PTATMS/web-data/upload
